## ros-rolling-rcl-logging-noop 2.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rcl_logging_noop)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(rcl_logging_interface REQUIRED)
find_package(rcutils REQUIRED)

if(NOT WIN32)
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(${PROJECT_NAME}_sources
  src/rcl_logging_noop/rcl_logging_noop.cpp
)

add_library(${PROJECT_NAME} ${${PROJECT_NAME}_sources})

target_link_libraries(${PROJECT_NAME} PRIVATE
  rcutils::rcutils)
target_link_libraries(${PROJECT_NAME} PUBLIC
  rcl_logging_interface::rcl_logging_interface)

target_compile_definitions(${PROJECT_NAME} PRIVATE "RCL_LOGGING_INTERFACE_BUILDING_DLL")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)


ament_export_libraries(${PROJECT_NAME})
ament_export_targets(${PROJECT_NAME})
ament_package()

## ros-rolling-rcl-logging-noop 2.2.1

=== debian/changelog ===
ros-rolling-rcl-logging-noop (2.2.1-1focal) focal; urgency=high

  * Update maintainers to Chris Lalancette (#83 <https://github.com/ros2/rcl_logging/issues/83>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rcl-logging-noop (2.2.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-rcl-logging-noop (2.1.3-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Sep 2021 07:00:00 -0000

ros-rolling-rcl-logging-noop (2.1.2-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rcl-logging-noop (2.1.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rcl-logging-noop (2.1.0-1focal) focal; urgency=high

  * Make internal dependencies private (#60 <https://github.com/ros2/rcl_logging/issues/60>)
  * Update the maintainers. (#55 <https://github.com/ros2/rcl_logging/issues/55>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rcl-logging-noop (2.0.1-1focal) focal; urgency=high

  * Remove unused pytest dependency. (#43 <https://github.com/ros2/rcl_logging/issues/43>)
  * Contributors: Chris Lalancette

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Tue, 21 Jul 2020 07:00:00 -0000

ros-rolling-rcl-logging-noop (2.0.0-1focal) focal; urgency=high

  * Use new package with rcl logging interface (#41 <https://github.com/ros2/rcl_logging/issues/41>)
  * Contributors: Chris Lalancette

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Thu, 18 Jun 2020 07:00:00 -0000

ros-rolling-rcl-logging-noop (1.0.0-1focal) focal; urgency=high



 -- Amazon B9 <amazon-b9-ros@amazon.com>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-rcl-logging-noop (0.4.0-1focal) focal; urgency=high

  * Fix CMake warnings about using uninitialized variables (#30 <https://github.com/ros2/rcl_logging/issues/30>)
  * Contributors: Dirk Thomas

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Fri, 24 Apr 2020 07:00:00 -0000

ros-rolling-rcl-logging-noop (0.3.3-1focal) focal; urgency=high



 -- Amazon B9 <amazon-b9-ros@amazon.com>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-rcl-logging-noop (0.3.2-1focal) focal; urgency=high

  * Enable linters for noop and log4cxx. (#12 <https://github.com/ros2/rcl_logging/issues/12>)
  * Contributors: Steven! Ragnarök

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Mon, 07 Oct 2019 07:00:00 -0000

ros-rolling-rcl-logging-noop (0.3.1-1focal) focal; urgency=high



 -- Amazon B9 <amazon-b9-ros@amazon.com>  Thu, 03 Oct 2019 07:00:00 -0000

ros-rolling-rcl-logging-noop (0.3.0-1focal) focal; urgency=high

  * remove unused 'dependencies' CMake variable (#16 <https://github.com/ros2/rcl_logging/issues/16>)
  * fix package.xml schema violations (#15 <https://github.com/ros2/rcl_logging/issues/15>)
  * Contributors: Mikael Arguedas

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-rcl-logging-noop (0.2.1-1focal) focal; urgency=high

  * Changing the default location for log files to be a local directory instead of /var/log/ros on linux due to permission issues. (#9 <https://github.com/ros2/rcl_logging/issues/9>)
  * Prototype to put things in ~/.ros/log
  * Change the API to add an allocator to logging initialize. (#10 <https://github.com/ros2/rcl_logging/issues/10>)
  * Contributors: Chris Lalancette, Steven! Ragnarök

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-rcl-logging-noop (0.2.0-1focal) focal; urgency=high



 -- Amazon B9 <amazon-b9-ros@amazon.com>  Sat, 09 Mar 2019 08:00:00 -0000

ros-rolling-rcl-logging-noop (0.1.0-1focal) focal; urgency=high

  * First release.
  * Contributors: Nick Burek, William Woodall

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Fri, 07 Dec 2018 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-rcl-logging-noop
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-empy, ros-rolling-ament-cmake-gmock, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-launch-testing, ros-rolling-rcl-logging-interface, ros-rolling-rcutils, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rcl-logging-noop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rcl-logging-interface, ros-rolling-rcutils, ros-rolling-ros-workspace
Description: An rcl logger implementation that doesn't do anything with log messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rcl-logging-noop//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rcl-logging-noop 2.7.0

=== debian/changelog ===
ros-rolling-rcl-logging-noop (2.7.0-1jammy) jammy; urgency=high

  * Remove the last uses of ament_target_dependencies in this repo. (#102 <https://github.com/ros2/rcl_logging/issues/102>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.6.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.5.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.5.0-1jammy) jammy; urgency=high

  * Update rcl_logging to C++17. (#98 <https://github.com/ros2/rcl_logging/issues/98>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.4.3-1jammy) jammy; urgency=high

  * Updated maintainers - 2022-11-07 (#96 <https://github.com/ros2/rcl_logging/issues/96>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 18 Nov 2022 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.4.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.4.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.4.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.3.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.2.1-1jammy) jammy; urgency=high

  * Update maintainers to Chris Lalancette (#83 <https://github.com/ros2/rcl_logging/issues/83>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.2.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.1.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Sep 2021 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.1.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.1.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.1.0-1jammy) jammy; urgency=high

  * Make internal dependencies private (#60 <https://github.com/ros2/rcl_logging/issues/60>)
  * Update the maintainers. (#55 <https://github.com/ros2/rcl_logging/issues/55>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.0.1-1jammy) jammy; urgency=high

  * Remove unused pytest dependency. (#43 <https://github.com/ros2/rcl_logging/issues/43>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 21 Jul 2020 00:00:00 -0000

ros-rolling-rcl-logging-noop (2.0.0-1jammy) jammy; urgency=high

  * Use new package with rcl logging interface (#41 <https://github.com/ros2/rcl_logging/issues/41>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Jun 2020 00:00:00 -0000

ros-rolling-rcl-logging-noop (1.0.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-rcl-logging-noop (0.4.0-1jammy) jammy; urgency=high

  * Fix CMake warnings about using uninitialized variables (#30 <https://github.com/ros2/rcl_logging/issues/30>)
  * Contributors: Dirk Thomas

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 24 Apr 2020 00:00:00 -0000

ros-rolling-rcl-logging-noop (0.3.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-rcl-logging-noop (0.3.2-1jammy) jammy; urgency=high

  * Enable linters for noop and log4cxx. (#12 <https://github.com/ros2/rcl_logging/issues/12>)
  * Contributors: Steven! Ragnarök

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 07 Oct 2019 00:00:00 -0000

ros-rolling-rcl-logging-noop (0.3.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 03 Oct 2019 00:00:00 -0000

ros-rolling-rcl-logging-noop (0.3.0-1jammy) jammy; urgency=high

  * remove unused 'dependencies' CMake variable (#16 <https://github.com/ros2/rcl_logging/issues/16>)
  * fix package.xml schema violations (#15 <https://github.com/ros2/rcl_logging/issues/15>)
  * Contributors: Mikael Arguedas

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-rolling-rcl-logging-noop (0.2.1-1jammy) jammy; urgency=high

  * Changing the default location for log files to be a local directory instead of /var/log/ros on linux due to permission issues. (#9 <https://github.com/ros2/rcl_logging/issues/9>)
  * Prototype to put things in ~/.ros/log
  * Change the API to add an allocator to logging initialize. (#10 <https://github.com/ros2/rcl_logging/issues/10>)
  * Contributors: Chris Lalancette, Steven! Ragnarök

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-rolling-rcl-logging-noop (0.2.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 09 Mar 2019 00:00:00 -0000

ros-rolling-rcl-logging-noop (0.1.0-1jammy) jammy; urgency=high

  * First release.
  * Contributors: Nick Burek, William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 07 Dec 2018 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-rcl-logging-noop
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-empy, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-launch-testing <!nocheck>, ros-rolling-rcl-logging-interface, ros-rolling-rcutils, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rcl-logging-noop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rcl-logging-interface, ros-rolling-rcutils, ros-rolling-ros-workspace
Description: An rcl logger implementation that doesn't do anything with log messages.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
